CommandsAPIInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.agent.CommandsAPIInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.agent
Class CommandsAPIInfo

    java.lang.Object
      org.hyperic.hq.agent.AgentAPIInfo
          org.hyperic.hq.bizapp.agent.CommandsAPIInfo

    public final class CommandsAPIInfo

extends AgentAPIInfo

Field Summary
`static java.lang.String` | `command_createToken`
`static java.lang.String` | `command_getServer`
`static java.lang.String` | `command_getTokens`
`static java.lang.String` | `command_setServer`
`static java.lang.String[]` | `commandSet`
`static java.lang.String` | `NOTIFY_SERVER_SET`
`static java.lang.String` | `PROP_AGENT_TOKEN`
`static java.lang.String` | `PROP_IS_NEW_TRANSPORT`
`static java.lang.String` | `PROP_NAMING_PROVIDER`
`static java.lang.String` | `PROP_PROVIDER_URL`
`static java.lang.String` | `PROP_UNIDIRECTIONAL`
`static java.lang.String` | `PROP_UNIDIRECTIONAL_PORT`
`static java.lang.String[]` | `propSet`

Constructor Summary
`CommandsAPIInfo()`

Method Summary
`static ProviderInfo` | `getProvider(AgentStorageProvider storage)` Get the provider string that should be used when clients wish to connect to a server.
`static void` | `setProvider(AgentStorageProvider storage, ProviderInfo provider)`

Methods inherited from class org.hyperic.hq.agent.AgentAPIInfo
`getBugfixVersion, getMajorVersion, getMinorVersion, getVersion, isCompatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTIFY_SERVER_SET

    public static final java.lang.String NOTIFY_SERVER_SET

### PROP_NAMING_PROVIDER

    public static final java.lang.String PROP_NAMING_PROVIDER

See Also:
  Constant Field Values

### PROP_PROVIDER_URL

    public static final java.lang.String PROP_PROVIDER_URL

See Also:
  Constant Field Values

### PROP_AGENT_TOKEN

    public static final java.lang.String PROP_AGENT_TOKEN

See Also:
  Constant Field Values

### PROP_IS_NEW_TRANSPORT

    public static final java.lang.String PROP_IS_NEW_TRANSPORT

See Also:
  Constant Field Values

### PROP_UNIDIRECTIONAL

    public static final java.lang.String PROP_UNIDIRECTIONAL

See Also:
  Constant Field Values

### PROP_UNIDIRECTIONAL_PORT

    public static final java.lang.String PROP_UNIDIRECTIONAL_PORT

See Also:
  Constant Field Values

### propSet

    public static final java.lang.String[] propSet

### command_setServer

    public static final java.lang.String command_setServer

See Also:
  Constant Field Values

### command_getServer

    public static final java.lang.String command_getServer

See Also:
  Constant Field Values

### command_createToken

    public static final java.lang.String command_createToken

See Also:
  Constant Field Values

### command_getTokens

    public static final java.lang.String command_getTokens

See Also:
  Constant Field Values

### commandSet

    public static final java.lang.String[] commandSet

Constructor Detail

### CommandsAPIInfo

    public CommandsAPIInfo()

Method Detail

### getProvider

    public static ProviderInfo getProvider(AgentStorageProvider storage)

  Get the provider string that should be used when clients wish to connect to a server.

### setProvider

    public static void setProvider(AgentStorageProvider storage,
                                   ProviderInfo provider)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.